echo off
rem INSTALL.BAT  (c) Copyright, 1993 ON Technology Corp.
cls
type logo
echo.
echo Notework Installation Program.
echo.
pause

chknwsys 460000 >nul
if errorlevel 4 goto removenw
if errorlevel 3 goto needmoreRAM
if errorlevel 2 goto not_network
if errorlevel 1 goto not_super

ishrddsk
if errorlevel 1 goto not_hrddrv

if not exist install.bat goto nofiles
if not exist nn3-0-2.exe goto nofiles
if not exist logo goto nofiles
if not exist v1backup.exe goto nofiles

set net40=N
set INSTALL=
set SHAREABLE=

if exist sys:\system\dsi.nlm goto net_40
goto not_net_40

:fourok

ishrddsk

set net40=Y

:not_net_40

if not exist %comspec% goto bad_comspec
for %%f in (%comspec%) do goto ok_comspec
goto bad_comspec

:ok_comspec

set install=0
set shareable=+S
if %net40%==Y set shareable=+Sh
if /%shareable%==/ goto noenvspc

if exist nwusers.txt goto upgrmsg
if exist mr.nws goto v1v2_upgrade

cls
echo.
echo   ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo   ³ Welcome to Notework - Extraordinary Pop-Up E-Mail in 5K of Ram! ³
echo   ³                                                                 ³
echo   ³ The install program will unpack the Notework system files and   ³
echo   ³ run the Notework configuration program, NWSYSCON. NWSYSCON will ³
echo   ³ guide you through your initial Notework setup.                  ³
echo   ³                                                                 ³
echo   ³ You can run NWSYSCON at any point after the initial             ³
echo   ³ installation complete should you want to change any of your     ³
echo   ³ choices.                                                        ³
echo   ³                                                                 ³
echo   ³ Press Ctrl-Break to abort this process now, or...               ³
echo   ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
pause
goto cont1
:upgrmsg
cls
echo.
echo   ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo   ³ Welcome to Notework - Extraordinary Pop-Up E-Mail in 5K of Ram! ³
echo   ³                                                                 ³
echo   ³ INSTALL detects an existing Notework installation. INSTALL      ³
echo   ³ updates your system files while preserving your user selections,³
echo   ³ user authorizations and other custom settings.                  ³
echo   ³                                                                 ³
echo   ³ The upgrade may be done while Notework is in use.  However,     ³
echo   ³ we recommend that your users reload with the updated version of ³
echo   ³ Notework once the upgrade is complete.                          ³
echo   ³                                                                 ³
echo   ³ Press Ctrl-Break to abort this process now, or...               ³
echo   ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
goto cont1
:v1v2_upgrade
cls
echo   ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo   ³ Welcome to Notework - Extraordinary Pop-Up E-Mail in 5K of Ram! ³
echo   ³                                                                 ³
echo   ³              Version 1.x to Version 3.x Upgrade                 ³
echo   ³                                                                 ³
echo   ³ ¯ A backup of your version 1.x installation will be made in     ³
echo   ³   directory V1 under your current Notework system directory.    ³
echo   ³                                                                 ³
echo   ³ ¯ Mail will be converted from version 1.x format to version 3.x ³
echo   ³   format.                                                       ³
echo   ³                                                                 ³
echo   ³ ¯ When the upgrade is complete, we will remind you to have      ³
echo   ³   users REBOOT and reload the updated version of Notework.      ³
echo   ³                                                                 ³
echo   ³ Press Ctrl-Break to abort this process now, or...               ³
echo   ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
goto cont1

:cont1

if exist ..\nww.exe        ..\flag ..\nww.exe        %shareable% +rw<continue.key >nul
if exist ..\nw-guard.exe   ..\flag ..\nw-guard.exe   %shareable% +rw<continue.key >nul
if exist ..\nww-init.exe   ..\flag ..\nww-init.exe   %shareable% +rw<continue.key >nul
if exist nww.exe           ..\flag ..\nww.exe        %shareable% +rw<continue.key >nul
if exist nw-guard.exe      ..\flag ..\nw-guard.exe   %shareable% +rw<continue.key >nul
if exist nww-init.exe      ..\flag ..\nww-init.exe   %shareable% +rw<continue.key >nul

if exist ..\nww.exe del ..\nww.exe > nul
if exist ..\nww.exe goto files_in_use

if exist ..\nw-guard.exe del ..\nw-guard.exe > nul
if exist ..\nw-guard.exe goto files_in_use

if exist ..\nww-init.dll del ..\nww-init.dll > nul
if exist ..\nww-init.dll goto files_in_use

if exist nww.exe del nww.exe > nul
if exist nww.exe goto files_in_use

if exist nw-guard.exe del nw-guard.exe > nul
if exist nw-guard.exe goto files_in_use

if exist nww-init.dll del nww-init.dll > nul
if exist nww-init.dll goto files_in_use


if not exist nw.nws v1backup
if errorlevel 1 goto v1backup_error


echo   ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo   ³    Unpacking Notework system files.                             ³
echo   ³    This may take a few minutes.                                 ³
echo   ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ

if exist nwx.bat copy nwx.bat nwx.!!! > nul
if exist nwusers.txt goto v2_nwx

rem If V1 upgrade, save NWX.BAT in PUBLIC.
if exist ..\nwx.bat copy ..\nwx.bat ..\nwx.v1 >nul

:v2_nwx
if exist ..\nwx.bat copy ..\nwx.bat ..\nwx.!!! >nul

nn3-0-2 -o
set INSTALL=0
if not errorlevel 0 set INSTALL=9
if errorlevel 6 set INSTALL=6
if errorlevel 5 set INSTALL=5
if errorlevel 1 set INSTALL=1

if exist nwx.!!! copy nwx.!!! nwx.bat > nul
if exist nwx.!!! del nwx.!!! > nul

if %INSTALL%==6 goto disk_full
if %INSTALL%==5 goto not_super
if %INSTALL%==1 goto badzipfile
if %INSTALL%==9 goto gen_error

if not exist sys.mm copy stock.mm sys.mm > nul

echo.
echo     Notework files are succesfully unpacked.
echo.
echo     Checking files.  Please wait ...
echo.

rem   ----- FLAGFILE starts here -----

echo off

rem Check to see that we are in PUBLIC\NOTEWORK.

if not exist ..\filer.exe goto flagdone

cls

echo.
echo Flagging Notework system files in PUBLIC as Non-shareable, Read/Write
echo so that they may be upgraded...
echo.


if exist ..\nw*.*        ..\flag ..\nw*.*        N <continue.key >nul
echo Flagging MAPMEM.COM
if exist ..\mapmem.com   ..\flag ..\mapmem.com   N >nul
echo Flagging XRAY.COM
if exist ..\xray.com     ..\flag ..\xray.com     N >nul
echo Flagging REMOVENW.EXE
if exist ..\removenw.exe ..\flag ..\removenw.exe N >nul
echo Flagging ENV*.*
if exist ..\env*.*       ..\flag ..\env*.*       N >nul
echo Flagging XR*.*
if exist ..\xr*.bat      ..\flag ..\xr*.bat      N >nul
echo Flagging ?O?o.COM
if exist ..\?o?o*.com    ..\flag ..\?o?o*.*      N >nul
echo Flagging CHKNWSYS.EXE
if exist ..\chknwsys.exe ..\flag ..\chknwsys.exe N >nul
echo Flagging NN?-?-?.EXE
if exist ..\nn?-?-?.exe  ..\flag ..\nn?-?-?.exe  N >nul
echo Flagging VIDEOID.BAT
if exist ..\videoid.exe  ..\flag ..\videoid.exe  N >nul
echo Flagging DOSVER.COM
if exist ..\dosver.com   ..\flag ..\dosver.com   N >nul
echo Flagging NWSERVIC.BAT
if exist ..\nwservic.bat ..\flag ..\nwservic.bat N >nul

if exist ..\nwx.!!! copy ..\nwx.!!! ..\nwx.bat > nul
if exist ..\nwx.!!! del ..\nwx.!!! > nul

if exist ..\nwsyscon.exe del ..\nwsyscon.exe >nul
if exist ..\inpost*.exe  del ..\inpost*.exe  >nul
if exist ..\nwrights.exe del ..\nwrights.exe >nul
if exist ..\nwxbind.exe  del ..\nwxbind.exe  >nul
if exist ..\chknwsys.exe del ..\chknwsys.exe >nul
if exist ..\nn?-?-?.exe  del ..\nn?-?-?.exe  >nul
if exist ..\nwservic.bat del ..\nwservic.bat  >nul

if exist ..\nwsyscon.exe echo Delete obsolete file NWSYSCON.EXE from \PUBLIC!
if exist ..\nwrights.exe echo Delete obsolete file NWRIGHTS.EXE from \PUBLIC!
if exist ..\nwxbind.exe  echo Delete obsolete file NWXBIND.EXE from \PUBLIC!
if exist ..\chknwsys.exe echo Delete obsolete file CHKNWSYS.EXE from \PUBLIC!
if exist ..\nn?-?-?.exe  echo Delete obsolete file NN?-?-?.EXE from \PUBLIC!

CLS

echo.
echo Copying a few Notework user system files to \PUBLIC so that they
echo are available to your users on an existing search drive.
echo.
echo You do NOT need to map \PUBLIC\NOTEWORK to a search drive.
echo.
echo Copying Files.....
echo.
echo Copying MAPMEM.COM
copy mapmem.com   ..\*.* >nul
echo Copying XRAY.COM
copy xray.com     ..\*.* >nul
echo Copying NW.EXE
copy nw.exe       ..\*.* >nul
echo Copying NW-SETUP.EXE
copy nw-setup.exe ..\*.* >nul
echo Copying NWPARAMS.EXE
copy nwparams.exe ..\*.* >nul
echo Copying NWLOG.EXE
copy nwlog.exe    ..\*.* >nul
echo Copying REMOVENW.EXE
copy removenw.exe ..\*.* >nul
echo Copying NWHOTKEY.EXE
copy nwhotkey.exe ..\*.* >nul
echo Copying NWMBOX.EXE
copy nwmbox.exe   ..\*.* >nul
echo Copying NWW.EXE
copy nww.exe      ..\*.* >nul
echo Copying NW-GAURD.EXE
copy nw-guard.exe ..\*.* >nul
echo Copying NW*.BAT
copy nw*.bat      ..\*.* >nul
echo Copying ENV*.*
copy env*.*       ..\*.* >nul
echo Copying XR*.*
copy xr*.*        ..\*.* >nul
echo Copying ?O?O*.COM
copy ?o?o*.com    ..\*.* >nul
echo Copying NWTECH.BAT
copy nwtech.bat   ..\*.* >nul
echo Copying VIDEOID.EXE
copy videoid.exe  ..\*.* >nul
echo Copying NWRUN.EXE
copy nwrun.exe    ..\*.* >nul
echo Copying NWMENU.EXE
copy nwmenu.exe   ..\*.* >nul
echo Copying NW0.EXE
copy nw0.exe      ..\*.* >nul
echo Copying DOSVER.COM
copy dosver.com   ..\*.* >nul
echo Copying *.DLL
copy *.dll        ..\*.* >nul
echo Copying GAUGE.VBX
copy gauge.vbx    ..\*.* >nul

CLS
echo Flagging Notework system files in PUBLIC as Shareable, Read/Write...
echo.

REM echo on
if exist ..\nw*.*        ..\flag ..\nw*.*        %shareable% +rw<continue.key >nul
echo Flagging MAPMEM.COM
if exist ..\mapmem.com   ..\flag ..\mapmem.com   %shareable% +rw >nul
echo Flagging XRAY.COM
if exist ..\xray.com     ..\flag ..\xray.com     %shareable% +rw >nul
echo Flagging REMOVENW.EXE
if exist ..\removenw.exe ..\flag ..\removenw.exe %shareable% +rw >nul
echo Flagging ENV*.*
if exist ..\env*.*       ..\flag ..\env*.*       %shareable% +rw >nul
echo Flagging XR*.BAT
if exist ..\xr*.bat      ..\flag ..\xr*.bat      %shareable% +rw >nul
echo Flagging ?O?O*.COM
if exist ..\?o?o*.com    ..\flag ..\?o?o*.*      %shareable% +rw >nul
echo Flagging VIDEOID.EXE
if exist ..\videoid.exe  ..\flag ..\videoid.exe  %shareable% +rw >nul
echo Flagging DOSVER.EXE
if exist ..\dosver.com   ..\flag ..\dosver.com   %shareable% +rw >nul


@echo off

:flagdone
rem   ----- FLAGFILE ends here -----


rem Make test file to remember if install or upgrade.
if exist testfile.tmp del testfile.tmp >nul
if exist sys.nwc copy sys.nwc testfile.tmp >nul

if not exist xservers.txt goto no

rem If it's an existing Notework site, upgrade the other server files
cls
echo.
echo.
echo     INSTALL can now automatically upgrade all other servers in
echo     this Notework installation by copying the appropriate files to the
echo     other Notework directories listed in the XSERVERS.TXT file. To
echo     upgrade all other servers, strike Y.  To upgrade ONLY this server
echo     strike N.
echo.
echo              ÖÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ·
echo              º  Upgrade All Servers with this release? (Y/N)  º
echo              ÓÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ½
input "YyNn"
if errorlevel 4 goto no
if errorlevel 3 goto no
if errorlevel 2 goto yes
if errorlevel 1 goto yes

:yes
if exist nwbook.txt xupgrade
goto finish

:no
goto finish

:finish
if exist nwusers.txt nwtouch nwusers.txt /d
v1users
v1upgrad

echo.
echo.
echo     Now running NWSYSCON to select users and configure Notework...
echo.

nwsyscon
if errorlevel 1 goto syscon_err
goto end

rem     ********************************************************************
rem
rem     Messages to the customer.
rem
rem     ********************************************************************

:not_hrddrv
  cls
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo     ERROR!
  echo.
  echo     Notework cannot be installed from a floppy drive.
  echo.
  echo     1. Make a directory \PUBLIC\NOTEWORK on volume SYS:.
  echo     2. Copy the Notework system files from the System Disk to
  echo        directory \PUBLIC\NOTEWORK.
  echo     3. Run INSTALL from \PUBLIC\NOTEWORK.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:bad_comspec
  cls
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo     ERROR!
  echo.
  echo     Your DOS environment COMSPEC setting is missing or invalid:
  echo     The current setting is:
  echo.
  echo       COMSPEC=%comspec%
  echo.
  echo     A correct COMSPEC setting is required by DOS as well as by
  echo     Notework.  To continue Notework installation on this workstation
  echo     return to the DOS prompt. Use the DOS SET command to set
  echo     COMSPEC equal to the COMMAND.COM version loaded. Example:
  echo.
  echo     SET COMSPEC=C:\DOS\COMMAND.COM
  echo     SET COMSPEC=F:DOS\V5.00\COMMAND.COM
  echo.
  echo     You will now return to the DOS prompt after a key-press.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:nofiles
  cls
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo     ERROR!
  echo.
  echo     All of the required Notework system files are not in
  echo     the current directory.  The required files are:
  echo.
  echo        INSTALL.BAT, NN3-0-2.EXE, V1BACKUP.EXE and LOGO
  echo.
  echo     Copy the latest system disk to the directory in which
  echo     Notework will be installed, and run the INSTALL program from
  echo     that directory.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:badzipfile
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo     ERROR!
  echo.
  echo     A Notework SYSTEM file is defective!
  echo     Please try to install Notework again, being sure to copy the
  echo     entire contents of the system disk to the file server.
  echo.
  echo     If this error occurs again, please order a replacement
  echo     Notework system disk from:
  echo.
  echo     ON Technology Corporation
  echo     One Cambridge Center
  echo     Cambridge, MA  02142  USA
  echo     (617) 374-1400
  echo.
  echo     The Notework INSTALL procedure will now terminate.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo.
  pause
  goto out
:disk_full
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo     ERROR!
  echo.
  echo     The disk drive on which you are attempting to install The
  echo     Notework does not have enough room!
  echo.
  echo     Please make room for Notework by deleting files or moving
  echo     them to another drive.  Once this is accomplished, try the
  echo     INSTALL program again.
  echo.
  echo     The Notework INSTALL procedure will now terminate.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo.
  pause
  goto out
:needmoreram
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo     ERROR!
  echo.
  echo     There is not enough RAM Memory in your system to continue
  echo     with the Notework upgrade process!
  echo.
  echo     To increase available memory, you may have to:
  echo       1. Remove ALL memory-resident programs, or
  echo       2. Add memory to your workstation, or
  echo       3. Try the Notework upgrade on another workstation.
  echo.
  echo     The Notework upgrade procedure will now terminate.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo.
  pause
  goto out
:not_super
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo   ERROR!
  echo.
  echo   You must be logged in as SUPERVISOR on this server where you
  echo   are attempting to install Notework.
  echo.
  echo   To correct this, login as Supervisor, then run the Notework
  echo   INSTALL program again.
  echo.
  echo   The Notework INSTALL procedure will now terminate.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:not_network
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo   ERROR!
  echo.
  echo   You must copy the files from this disk to a directory on your
  echo   Novell network, preferably:
  echo.
  echo                      \PUBLIC\NOTEWORK
  echo.
  echo   Then run INSTALL from that directory.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:noenvspc
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo   ERROR!  Out of environment space!
  echo.
  echo   The Notework installation requires a small amount of
  echo   environment space in order to operate properly.  Please free
  echo   some environment space and run Install again. (The installation
  echo   requires about 40 bytes of environment space.)
  echo.
  echo.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:syscon_err
  cls
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo     ERROR!
  echo.
  echo     NWSYSCON did not execute properly!
  echo     Possible reasons include:
  echo.
  echo          1. Notework is already loaded.  Remove Notework with the
  echo             command REMOVENW and then run NWSYSCON again
  echo.
  echo          2. The NWSYSCON file is defective.  Try ruunning INSTALL
  echo             again.  If this fails, contact our Notework technical
  echo             support staff at:
  echo.
  echo                   ON Technology Corporation
  echo                   One Cambridge Center
  echo                   Cambridge, MA  02142  USA
  echo                   (617) 374-1400
  echo.
  echo     The Notework INSTALL procedure will now terminate.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:removenw
  cls
  echo 
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  echo     ERROR!
  echo.
  echo     A NOTEWORK product is resident in memory and must be unloaded!
  echo.
  echo     Options:
  echo.
  echo       1. If Notework is loaded, run REMOVENW
  echo       2. If Notework Remote is loaded, run REMOVENR
  echo       3. If these fail, reboot without reloading Notework
  echo.
  echo     Please retry INSTALL after Notework has been unloaded.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out
:v1backup_error
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo   V1BACKUP failed. Check mailbox for corrupt message.
  goto out
:gen_error
  cls
  echo 
  echo     GENERAL ERROR!
  echo.
  echo     A problem was encountered during un-packing of Notework's
  echo     compressed system files.
  echo.
  echo     Copy the system files from your System Disk to PUBLIC\NOTEWORK
  echo     and run INSTALL once again.  If this error repeats, contact
  echo     Notework Technical Support at: (617) 374-1400.
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo.
  pause
  goto out

:files_in_use
  cls
  echo 
  echo  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo                         ********* WARNING *********
  echo.
  echo                   Notework Version 3.0.2 Installation Failed
  echo.
  echo         Install found that NWW.EXE, NW-GUARD.EXE, and NWW-INIT.DLL
  echo         cannot be upgraded.  These files may be in use, the Notework
  echo         installation will not continue until the files are no longer
  echo         in use.  Please ask all of your users to close the Notework
  echo         for Windows icon and run install again.
  echo.
  echo.
  echo.
  echo  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
pause
goto out

:net_40
  nn3-0-2 input.com -o > nul
  cls
  echo 
  echo  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo                         ********* WARNING *********
  echo.
  echo                            NetWare 4.x Detected
  echo.
  echo         Notework is being installed on a Netware 4.x file server.
  echo         There are several steps which must be taken prior to running
  echo         Install to ensure that the Notework installation process runs
  echo         smoothly.
  echo.
  echo         - Bindery emulation must be active.
  echo         - You must be logged into the 4.x server as user Supervisor.
  echo         - All Novell users must exist in the Main Orginizational Unit.
  echo.
  echo.
  echo.
  echo           Do you wish to continue with the Notework Installation?  Y/N
  echo.
  echo  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  input "YyNn"
  if errorlevel 4 goto out
  if errorlevel 3 goto out
  if errorlevel 2 goto fourok
  if errorlevel 1 goto fourok
  goto out

:end

  cls
  echo.
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
  echo     The Notework Installation procedure is complete!

:endmsg1
  if not exist v1\nw.exe goto endmsg2
  echo.
  echo     Please have your users reboot and reload Notework Version 3.
  echo.
  goto endmsg3

:endmsg2
  if not exist testfile.tmp goto endmsg3
  echo.
  echo     The updated version will be available to users the next time they
  echo     reload Notework.

:endmsg3
  echo.
  echo     NOTE: Notework for Windows requires ODI drivers or an IPX
  echo     version of 3.1 or higher on the Windows workstation. Directions
  echo     for upgrading IPX can be found in the Supervisor's Help Utility.
  echo.
  echo.                   *** Supervisor Help Utility ***
  echo     The Notework Supervisor's Help Utility puts the latest available
  echo     technical support information in your hands. The utility is
  echo     included free in this Notework release. Run NWHELP from the
  echo     Notework directory for quick answers to common questions.
  echo.
  echo     Thank you for choosing Notework. Enjoy!
  echo   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

:out
  if exist testfile.tmp del testfile.tmp >nul
  set INSTALL=
  set SHAREABLE=
  set NET40=
  echo on
